

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.25.5. grn_column &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.25.6. grn_command_version" href="grn_command_version.html" />
    <link rel="prev" title="7.25.4. grn_cache" href="grn_cache.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/api/grn_column.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="grn_command_version.html" title="7.25.6. grn_command_version"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="grn_cache.html" title="7.25.4. grn_cache"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../api.html" accesskey="U"><span class="section-number">7.25. </span>API</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.25.5. </span><code class="docutils literal notranslate"><span class="pre">grn_column</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="grn-column">
<h1><span class="section-number">7.25.5. </span><code class="docutils literal notranslate"><span class="pre">grn_column</span></code><a class="headerlink" href="#grn-column" title="Permalink to this headline">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.25.5.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<p>TODO…</p>
</div>
<div class="section" id="example">
<h2><span class="section-number">7.25.5.2. </span>Example<a class="headerlink" href="#example" title="Permalink to this headline">¶</a></h2>
<p>TODO…</p>
</div>
<div class="section" id="reference">
<h2><span class="section-number">7.25.5.3. </span>Reference<a class="headerlink" href="#reference" title="Permalink to this headline">¶</a></h2>
<dl class="c macro">
<dt id="c.GRN_COLUMN_NAME_ID">
<code class="sig-name descname">GRN_COLUMN_NAME_ID</code><a class="headerlink" href="#c.GRN_COLUMN_NAME_ID" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>It returns the name of <a class="reference internal" href="../columns/pseudo.html"><span class="doc">Pseudo column</span></a> <code class="docutils literal notranslate"><span class="pre">_id</span></code>.</p>
<p>It is useful to use with <a class="reference internal" href="#c.GRN_COLUMN_NAME_ID_LEN" title="GRN_COLUMN_NAME_ID_LEN"><code class="xref c c-macro docutils literal notranslate"><span class="pre">GRN_COLUMN_NAME_ID_LEN</span></code></a> like
the following:</p>
<div class="highlight-c notranslate"><div class="highlight"><pre><span></span><span class="n">grn_obj</span> <span class="o">*</span><span class="n">id_column</span><span class="p">;</span>
<span class="n">id_column</span> <span class="o">=</span> <span class="n">grn_ctx_get</span><span class="p">(</span><span class="n">ctx</span><span class="p">,</span> <span class="n">GRN_COLUMN_NAME_ID</span><span class="p">,</span> <span class="n">GRN_COLUMN_NAME_ID_LEN</span><span class="p">);</span>
</pre></div>
</div>
<p>Since 3.1.1.</p>
</dd></dl>

<dl class="c macro">
<dt id="c.GRN_COLUMN_NAME_ID_LEN">
<code class="sig-name descname">GRN_COLUMN_NAME_ID_LEN</code><a class="headerlink" href="#c.GRN_COLUMN_NAME_ID_LEN" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>It returns the byte size of <a class="reference internal" href="#c.GRN_COLUMN_NAME_ID" title="GRN_COLUMN_NAME_ID"><code class="xref c c-macro docutils literal notranslate"><span class="pre">GRN_COLUMN_NAME_ID</span></code></a>.</p>
<p>Since 3.1.1.</p>
</dd></dl>

<dl class="c macro">
<dt id="c.GRN_COLUMN_NAME_KEY">
<code class="sig-name descname">GRN_COLUMN_NAME_KEY</code><a class="headerlink" href="#c.GRN_COLUMN_NAME_KEY" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>It returns the name of <a class="reference internal" href="../columns/pseudo.html"><span class="doc">Pseudo column</span></a> <code class="docutils literal notranslate"><span class="pre">_key</span></code>.</p>
<p>It is useful to use with <a class="reference internal" href="#c.GRN_COLUMN_NAME_KEY_LEN" title="GRN_COLUMN_NAME_KEY_LEN"><code class="xref c c-macro docutils literal notranslate"><span class="pre">GRN_COLUMN_NAME_KEY_LEN</span></code></a> like
the following:</p>
<div class="highlight-c notranslate"><div class="highlight"><pre><span></span><span class="n">grn_obj</span> <span class="o">*</span><span class="n">key_column</span><span class="p">;</span>
<span class="n">key_column</span> <span class="o">=</span> <span class="n">grn_ctx_get</span><span class="p">(</span><span class="n">ctx</span><span class="p">,</span> <span class="n">GRN_COLUMN_NAME_KEY</span><span class="p">,</span> <span class="n">GRN_COLUMN_NAME_KEY_LEN</span><span class="p">);</span>
</pre></div>
</div>
<p>Since 3.1.1.</p>
</dd></dl>

<dl class="c macro">
<dt id="c.GRN_COLUMN_NAME_KEY_LEN">
<code class="sig-name descname">GRN_COLUMN_NAME_KEY_LEN</code><a class="headerlink" href="#c.GRN_COLUMN_NAME_KEY_LEN" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>It returns the byte size of <a class="reference internal" href="#c.GRN_COLUMN_NAME_KEY" title="GRN_COLUMN_NAME_KEY"><code class="xref c c-macro docutils literal notranslate"><span class="pre">GRN_COLUMN_NAME_KEY</span></code></a>.</p>
<p>Since 3.1.1.</p>
</dd></dl>

<dl class="c macro">
<dt id="c.GRN_COLUMN_NAME_VALUE">
<code class="sig-name descname">GRN_COLUMN_NAME_VALUE</code><a class="headerlink" href="#c.GRN_COLUMN_NAME_VALUE" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>It returns the name of <a class="reference internal" href="../columns/pseudo.html"><span class="doc">Pseudo column</span></a> <code class="docutils literal notranslate"><span class="pre">_value</span></code>.</p>
<p>It is useful to use with <a class="reference internal" href="#c.GRN_COLUMN_NAME_VALUE_LEN" title="GRN_COLUMN_NAME_VALUE_LEN"><code class="xref c c-macro docutils literal notranslate"><span class="pre">GRN_COLUMN_NAME_VALUE_LEN</span></code></a> like
the following:</p>
<div class="highlight-c notranslate"><div class="highlight"><pre><span></span><span class="n">grn_obj</span> <span class="o">*</span><span class="n">value_column</span><span class="p">;</span>
<span class="n">value_column</span> <span class="o">=</span> <span class="n">grn_ctx_get</span><span class="p">(</span><span class="n">ctx</span><span class="p">,</span> <span class="n">GRN_COLUMN_NAME_VALUE</span><span class="p">,</span> <span class="n">GRN_COLUMN_NAME_VALUE_LEN</span><span class="p">);</span>
</pre></div>
</div>
<p>Since 3.1.1.</p>
</dd></dl>

<dl class="c macro">
<dt id="c.GRN_COLUMN_NAME_VALUE_LEN">
<code class="sig-name descname">GRN_COLUMN_NAME_VALUE_LEN</code><a class="headerlink" href="#c.GRN_COLUMN_NAME_VALUE_LEN" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>It returns the byte size of <a class="reference internal" href="#c.GRN_COLUMN_NAME_VALUE" title="GRN_COLUMN_NAME_VALUE"><code class="xref c c-macro docutils literal notranslate"><span class="pre">GRN_COLUMN_NAME_VALUE</span></code></a>.</p>
<p>Since 3.1.1.</p>
</dd></dl>

<dl class="c macro">
<dt id="c.GRN_COLUMN_NAME_SCORE">
<code class="sig-name descname">GRN_COLUMN_NAME_SCORE</code><a class="headerlink" href="#c.GRN_COLUMN_NAME_SCORE" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>It returns the name of <a class="reference internal" href="../columns/pseudo.html"><span class="doc">Pseudo column</span></a> <code class="docutils literal notranslate"><span class="pre">_score</span></code>.</p>
<p>It is useful to use with <a class="reference internal" href="#c.GRN_COLUMN_NAME_SCORE_LEN" title="GRN_COLUMN_NAME_SCORE_LEN"><code class="xref c c-macro docutils literal notranslate"><span class="pre">GRN_COLUMN_NAME_SCORE_LEN</span></code></a> like
the following:</p>
<div class="highlight-c notranslate"><div class="highlight"><pre><span></span><span class="n">grn_obj</span> <span class="o">*</span><span class="n">score_column</span><span class="p">;</span>
<span class="n">score_column</span> <span class="o">=</span> <span class="n">grn_ctx_get</span><span class="p">(</span><span class="n">ctx</span><span class="p">,</span> <span class="n">GRN_COLUMN_NAME_SCORE</span><span class="p">,</span> <span class="n">GRN_COLUMN_NAME_SCORE_LEN</span><span class="p">);</span>
</pre></div>
</div>
<p>Since 3.1.1.</p>
</dd></dl>

<dl class="c macro">
<dt id="c.GRN_COLUMN_NAME_SCORE_LEN">
<code class="sig-name descname">GRN_COLUMN_NAME_SCORE_LEN</code><a class="headerlink" href="#c.GRN_COLUMN_NAME_SCORE_LEN" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>It returns the byte size of <a class="reference internal" href="#c.GRN_COLUMN_NAME_SCORE" title="GRN_COLUMN_NAME_SCORE"><code class="xref c c-macro docutils literal notranslate"><span class="pre">GRN_COLUMN_NAME_SCORE</span></code></a>.</p>
<p>Since 3.1.1.</p>
</dd></dl>

<dl class="c macro">
<dt id="c.GRN_COLUMN_NAME_NSUBRECS">
<code class="sig-name descname">GRN_COLUMN_NAME_NSUBRECS</code><a class="headerlink" href="#c.GRN_COLUMN_NAME_NSUBRECS" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>It returns the name of <a class="reference internal" href="../columns/pseudo.html"><span class="doc">Pseudo column</span></a> <code class="docutils literal notranslate"><span class="pre">_nsubrecs</span></code>.</p>
<p>It is useful to use with <a class="reference internal" href="#c.GRN_COLUMN_NAME_NSUBRECS_LEN" title="GRN_COLUMN_NAME_NSUBRECS_LEN"><code class="xref c c-macro docutils literal notranslate"><span class="pre">GRN_COLUMN_NAME_NSUBRECS_LEN</span></code></a> like
the following:</p>
<div class="highlight-c notranslate"><div class="highlight"><pre><span></span><span class="n">grn_obj</span> <span class="o">*</span><span class="n">nsubrecs_column</span><span class="p">;</span>
<span class="n">nsubrecs_column</span> <span class="o">=</span> <span class="n">grn_ctx_get</span><span class="p">(</span><span class="n">ctx</span><span class="p">,</span> <span class="n">GRN_COLUMN_NAME_NSUBRECS</span><span class="p">,</span> <span class="n">GRN_COLUMN_NAME_NSUBRECS_LEN</span><span class="p">);</span>
</pre></div>
</div>
<p>Since 3.1.1.</p>
</dd></dl>

<dl class="c macro">
<dt id="c.GRN_COLUMN_NAME_NSUBRECS_LEN">
<code class="sig-name descname">GRN_COLUMN_NAME_NSUBRECS_LEN</code><a class="headerlink" href="#c.GRN_COLUMN_NAME_NSUBRECS_LEN" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>It returns the byte size of <a class="reference internal" href="#c.GRN_COLUMN_NAME_NSUBRECS" title="GRN_COLUMN_NAME_NSUBRECS"><code class="xref c c-macro docutils literal notranslate"><span class="pre">GRN_COLUMN_NAME_NSUBRECS</span></code></a>.</p>
<p>Since 3.1.1.</p>
</dd></dl>

<dl class="c function">
<dt id="c.grn_column_create">
<a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<code class="sig-name descname">grn_column_create</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>table</em>, <em class="property">const</em> char *<em>name</em>, unsigned int <em>name_size</em>, <em class="property">const</em> char *<em>path</em>, grn_obj_flags <em>flags</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>type</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_column_create" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>tableに新たなカラムを定義します。nameは省略できません。一つのtableに同一のnameのcolumnを複数定義することはできません。</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>table</strong> – 対象tableを指定します。</p></li>
<li><p><strong>name</strong> – カラム名を指定します。</p></li>
<li><p><strong>name_size</strong> – nameパラメータのsize(byte)を指定します。</p></li>
<li><p><strong>path</strong> – カラムを格納するファイルパスを指定します。
flagsに <code class="docutils literal notranslate"><span class="pre">GRN_OBJ_PERSISTENT</span></code> が指定されている場合のみ有効です。
NULLなら自動的にファイルパスが付与されます。</p></li>
<li><p><strong>flags</strong> – <p><code class="docutils literal notranslate"><span class="pre">GRN_OBJ_PERSISTENT</span></code> を指定すると永続columnとなります。</p>
<p><code class="docutils literal notranslate"><span class="pre">GRN_OBJ_COLUMN_INDEX</span></code> を指定すると転置インデックスとなります。</p>
<p><code class="docutils literal notranslate"><span class="pre">GRN_OBJ_COLUMN_SCALAR</span></code> を指定するとスカラ値(単独の値)を格納します。</p>
<p><code class="docutils literal notranslate"><span class="pre">GRN_OBJ_COLUMN_VECTOR</span></code> を指定すると値の配列を格納します。</p>
<p><code class="docutils literal notranslate"><span class="pre">GRN_OBJ_COMPRESS_ZLIB</span></code> を指定すると値をzlib圧縮して格納します。</p>
<p><code class="docutils literal notranslate"><span class="pre">GRN_OBJ_COMPRESS_LZO</span></code> を指定すると値をlzo圧縮して格納します。</p>
<p><code class="docutils literal notranslate"><span class="pre">GRN_OBJ_COLUMN_INDEX</span></code> と共に <code class="docutils literal notranslate"><span class="pre">GRN_OBJ_WITH_SECTION</span></code> を指定すると、転置索引にsection(段落情報)を合わせて格納します。</p>
<p><code class="docutils literal notranslate"><span class="pre">GRN_OBJ_COLUMN_INDEX</span></code> と共に <code class="docutils literal notranslate"><span class="pre">GRN_OBJ_WITH_WEIGHT</span></code> を指定すると、転置索引にweight情報を合わせて格納します。</p>
<p><code class="docutils literal notranslate"><span class="pre">GRN_OBJ_COLUMN_INDEX</span></code> と共に <code class="docutils literal notranslate"><span class="pre">GRN_OBJ_WITH_POSITION</span></code> を指定すると、転置索引に出現位置情報を合わせて格納します。</p>
</p></li>
<li><p><strong>type</strong> – カラム値の型を指定します。定義済みのtypeあるいはtableを指定できます。</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="c function">
<dt id="c.grn_column_index_update">
grn_rc <code class="sig-name descname">grn_column_index_update</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>column</em>, grn_id <em>id</em>, unsigned int <em>section</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>oldvalue</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>newvalue</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_column_index_update" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>oldvalue, newvalueの値から得られるキーに対応するcolumnの値の中の、id, sectionに対応するエントリを更新します。columnは <code class="docutils literal notranslate"><span class="pre">GRN_OBJ_COLUMN_INDEX</span></code> 型のカラムでなければなりません。</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>column</strong> – 対象columnを指定します。</p></li>
<li><p><strong>id</strong> – 対象レコードのIDを指定します。</p></li>
<li><p><strong>section</strong> – 対象レコードのセクション番号を指定します。</p></li>
<li><p><strong>oldvalue</strong> – 更新前の値を指定します。</p></li>
<li><p><strong>newvalue</strong> – 更新後の値を指定します。</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="c function">
<dt id="c.grn_column_table">
<a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<code class="sig-name descname">grn_column_table</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>column</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_column_table" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>columnが属するtableを返します。</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>column</strong> – 対象columnを指定します。</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="c function">
<dt id="c.grn_column_rename">
grn_rc <code class="sig-name descname">grn_column_rename</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>column</em>, <em class="property">const</em> char *<em>name</em>, unsigned int <em>name_size</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_column_rename" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>ctxが使用するdbにおいてcolumnに対応する名前をnameに更新します。columnは永続オブジェクトでなければいけません。</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>column</strong> – 対象columnを指定します。</p></li>
<li><p><strong>name</strong> – 新しい名前を指定します。</p></li>
<li><p><strong>name_size</strong> – nameパラメータのsize（byte）を指定します。</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="c function">
<dt id="c.grn_column_name">
int <code class="sig-name descname">grn_column_name</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>obj</em>, char *<em>namebuf</em>, int <em>buf_size</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_column_name" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>カラムobjの名前の長さを返します。buf_sizeの長さが名前の長さ以上であった場合は、namebufに該当する名前をコピーします。</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>obj</strong> – 対象objectを指定します。</p></li>
<li><p><strong>namebuf</strong> – 名前を格納するバッファ（呼出側で準備する）を指定します。</p></li>
<li><p><strong>buf_size</strong> – namebufのサイズ（byte長）を指定します。</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="c function">
<dt id="c.grn_column_index">
int <code class="sig-name descname">grn_column_index</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>column</em>, grn_operator <em>op</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> **<em>indexbuf</em>, int <em>buf_size</em>, int *<em>section</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_column_index" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>columnに張られているindexのうち、opの操作を実行可能なものの数を返します。またそれらのidを、buf_sizeに指定された個数を上限としてindexbufに返します。</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>column</strong> – 対象のcolumnを指定します。</p></li>
<li><p><strong>op</strong> – indexで実行したい操作を指定します。</p></li>
<li><p><strong>indexbuf</strong> – indexを格納するバッファ（呼出側で準備する）を指定します。</p></li>
<li><p><strong>buf_size</strong> – indexbufのサイズ（byte長）を指定します。</p></li>
<li><p><strong>section</strong> – section番号を格納するint長バッファ（呼出側で準備する）を指定します。</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="c function">
<dt id="c.grn_column_truncate">
grn_rc <code class="sig-name descname">grn_column_truncate</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>column</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_column_truncate" title="Permalink to this definition">¶</a><br /></dt>
<dd><div class="admonition note">
<p class="admonition-title">Note</p>
<p>This is a dangerous API. You must not use this API when other
thread or process accesses the target column. If you use this
API against shared column, the process that accesses the column
may be broken and the column may be broken.</p>
</div>
<div class="versionadded">
<p><span class="versionmodified added">New in version 4.0.9.</span></p>
</div>
<p>Clears all values in the column.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>column</strong> – The column to be truncated.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p><code class="docutils literal notranslate"><span class="pre">GRN_SUCCESS</span></code> on success, not <code class="docutils literal notranslate"><span class="pre">GRN_SUCCESS</span></code> on error.</p>
</dd>
</dl>
</dd></dl>

</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.25.5. <code class="docutils literal notranslate"><span class="pre">grn_column</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.25.5.1. Summary</a></li>
<li><a class="reference internal" href="#example">7.25.5.2. Example</a></li>
<li><a class="reference internal" href="#reference">7.25.5.3. Reference</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="grn_cache.html"
                        title="previous chapter"><span class="section-number">7.25.4. </span><code class="docutils literal notranslate"><span class="pre">grn_cache</span></code></a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="grn_command_version.html"
                        title="next chapter"><span class="section-number">7.25.6. </span><code class="docutils literal notranslate"><span class="pre">grn_command_version</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="grn_command_version.html" title="7.25.6. grn_command_version"
             >next</a> |</li>
        <li class="right" >
          <a href="grn_cache.html" title="7.25.4. grn_cache"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../api.html" ><span class="section-number">7.25. </span>API</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.25.5. </span><code class="docutils literal notranslate"><span class="pre">grn_column</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>